Introduction

Flycheck is a modern on-the-fly syntax checking extension for GNU Emacs 24.

Features

Flycheck is a modern on-the-fly syntax checking extension for GNU Emacs 24.

3rd party extensions

The following extensions provide additional cool features for Flycheck:

Installation

Flycheck supports Emacs 24. It is tested with Emacs 24.3, and Emacs snapshot builds. It should work with GNU Emacs 24.1 and 24.2 as well, but it is not tested against these versions. If it does not work with these versions, please report an issue.

Note

For almost all supported languages, Flycheck also needs additional external checker programs. See Supported languages for a list of supported languages and the corresponding checkers programs, and use flycheck-describe-checker to get help about specific checkers inside Emacs.

For instance, for Python you need either Flake8 or Pylint, which can be installed with pip install flake8 and pip install pylint respectively.

Generally you can install the required external checker programs with the standard package manager of the corresponding programming languages (e.g. Rubygems for Ruby, NPM for Javascript). Many checker programs are also available in the package repositories of popular Linux distributions, or as Formula for the OS X package manager Homebrew.

Warning

Flycheck does not support Windows, but tries to be compatible with it. You may try to use Flycheck on Windows. It should mostly work, but expect problems and issues. Pull requests which improve Windows compatibility are welcome.

Flycheck also does not support GNU Emacs 23 and other flavors of Emacs (e.g. XEmacs, Aquamacs, etc.). Don’t try, it will not work.

Install the ELPA package from MELPA or Marmalade using M-x package-install RET flycheck. The former is the recommended repository.

Neither of these repositories is included in GNU Emacs by default. You need to enable these repositories explicitly. For instance, to add the MELPA repository, add the following code to init.el:

(require 'package)
(add-to-list 'package-archives
             '("melpa" . "http://melpa.milkbox.net/packages/") t)
(package-initialize)

If you use Cask, add the following to your Cask file:

(source gnu)
(source melpa)

(depends-on "flycheck")

Flycheck 0.18-cvs

Table Of Contents

Previous topic

Flycheck manual

Next topic

Usage

This Page